View Issue Details

IDProjectCategoryView StatusLast Update
0003088ScribusStory Editor / Text Framespublic2006-12-25 23:20
Reporterjo-hannes Assigned Toavox  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.3cvs 
Target VersionFixed in Version1.3.4cvs 
Summary0003088: pressing cursor down jumps over the first line with text if text goes beyond one line
Descriptionsee attached sla.

doubleclick the frame, set cursor to line 1, go down. it goes to the second line with text and jumps over the first here.
TagsNo tags attached.
Patch

Relationships

related to 0003674 closedavox Impossible to change line with the mouse in a text frame 
related to 0003811 closedavox Drag-selection of text is incomplete when moving the mouse up and to the left 
child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

2006-01-24 20:54

 

cursor down.sla (8,709 bytes)

jo-hannes

2006-03-07 22:11

developer   ~0009132

create textframe with some paragraphs. go through the text with cursor up/down. instead of up and down the cursor goes left/right and only then up and down

mhanski

2006-04-18 19:15

developer   ~0010104

<quote>create textframe with some paragraphs. go through the text with cursor up/down. instead of up and down the cursor goes left/right and only then up and down</quote>

cannot confirm with scribus 1.3.3.1/kubuntu/qt3.3.6.
jo-hannes, could you check with 1.3.3.1 wheter the issue persists?

cbradney

2006-04-18 20:02

administrator   ~0010106

It probably still does with the document attached, not that I've tested recently. The issue relates to the way we currently store line endings which is a right PITA for cursor movement. Not fixing until new text system.

Issue History

Date Modified Username Field Change
2006-01-24 20:54 jo-hannes New Issue
2006-01-24 20:54 jo-hannes File Added: cursor down.sla
2006-01-24 20:58 cbradney Status new => assigned
2006-01-24 20:58 cbradney Assigned To => cbradney
2006-02-03 23:23 jo-hannes Relationship added child of 0003157
2006-03-03 00:20 cbradney Status assigned => resolved
2006-03-03 00:20 cbradney Fixed in Version => 1.3.3cvs
2006-03-03 00:20 cbradney Resolution open => fixed
2006-03-07 22:11 jo-hannes Status resolved => feedback
2006-03-07 22:11 jo-hannes Resolution fixed => reopened
2006-03-07 22:11 jo-hannes Note Added: 0009132
2006-04-18 19:15 mhanski Note Added: 0010104
2006-04-18 20:02 cbradney Note Added: 0010106
2006-05-04 16:36 mhanski Status feedback => confirmed
2006-05-10 23:16 christoph_s Relationship added related to 0003674
2006-05-12 22:30 christoph_s Relationship added related to 0003811
2006-08-15 21:37 cbradney Status confirmed => assigned
2006-08-15 21:37 cbradney Assigned To cbradney => avox
2006-08-19 19:53 avox Priority normal => immediate
2006-11-18 06:20 avox Priority immediate => normal
2006-12-21 18:26 avox Status assigned => resolved
2006-12-21 18:26 avox Fixed in Version 1.3.3cvs => 1.3.4cvs
2006-12-21 18:26 avox Resolution reopened => fixed
2006-12-25 23:20 cbradney Status resolved => closed
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames